package com.juling.juliao

import android.app.Application
import com.alibaba.android.arouter.launcher.ARouter
import com.work.provide_tool.app.IApp
import com.work.provide_tool.general.General

class App :IApp(){
    override fun onCreate() {
        super.onCreate()
        initial()
    }

    private fun initial(){
        try {
            for (value in General.widgetArray){
                val clazz = Class.forName(value)
                (clazz.getConstructor().newInstance() as IApp).init(app,false)
            }
        }catch (e:Exception){}
    }


    override fun init(app: Application, applicationFlag: Boolean) {
        initRouter()
        initAdapterUi()
    }

    private fun initRouter(){
        ARouter.init(app)
    }

    private fun initAdapterUi(){
//        看官方例子
    }

}