package com.work.provide_tool.data.entity

import android.os.Parcel
import android.os.Parcelable
import androidx.room.Entity
import androidx.room.PrimaryKey

@Entity(tableName = "ro_group")
data class RoGroupEntity(var roGroupNa:String,
                         var roGroupIdWithDraw:Long): Parcelable {
    @PrimaryKey var rId:Long? = null

    constructor(parcel: Parcel) : this(
        parcel.readString()!!,
        parcel.readLong()
    ) {
        rId = parcel.readValue(Long::class.java.classLoader) as? Long
    }

    override fun writeToParcel(parcel: Parcel, flags: Int) {
        parcel.writeString(roGroupNa)
        parcel.writeLong(roGroupIdWithDraw)
        parcel.writeValue(rId)
    }

    override fun describeContents(): Int {
        return 0
    }

    companion object CREATOR : Parcelable.Creator<RoGroupEntity> {
        override fun createFromParcel(parcel: Parcel): RoGroupEntity {
            return RoGroupEntity(parcel)
        }

        override fun newArray(size: Int): Array<RoGroupEntity?> {
            return arrayOfNulls(size)
        }
    }

}