package com.work.provide_tool.util

import android.app.Activity
import java.lang.ref.WeakReference

object AppActivityLeader {
    private var arr:ArrayList<Activity>? = null

    private var topActivityWeak:WeakReference<Activity>? = null

    fun addActivity(activity:Activity){
        arr = (arr?:ArrayList()).apply {
            this.add(activity)
        }
    }

    fun pullActivity(activity: Activity){
        topActivityWeak = WeakReference(activity)
    }

    fun getActivity():Activity?{
        return topActivityWeak?.get()
    }


    fun freeActivity(activity: Activity){
        arr = (arr?:ArrayList()).apply {
            this.remove(activity)
        }
    }

    fun getAllActivity():ArrayList<Activity>?{
        return arr
    }
}