package com.work.provide_net.net

import com.work.provide_data.WeatherData

//NetHelper.netHelper.init(AppUrl.netUrl)调用这个即可
class NetHelper : Api {

    private val netWorkEngine: NetWorkEngine = NetWorkEngine()

    //java中的双重判断
    companion object{
        val netHelper: NetHelper by lazy(LazyThreadSafetyMode.SYNCHRONIZED) {
            NetHelper()
        }
    }

    fun init(reqUrl:String){
        netWorkEngine.init(reqUrl)
    }

    override suspend fun getWeatherInfo(id:String): WeatherData {
        return netWorkEngine.getWeatherInfo(id)
    }

}